Bug 486529 - Review Request: perl-HTTP-Response-Encoding - Adds encoding() to HTTP::Response
Review Request: perl-HTTP-Response-Encoding - Adds encoding() to HTTP::Response
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 01:25 EST by Ralf Corsepius
Modified: 2011-03-06 13:28 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.05-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2009-02-20 01:25:25 EST
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-HTTP-Response-Encoding.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-HTTP-Response-Encoding-0.05-1.fc11.src.rpm
Description: Adds encoding() to HTTP::Response


Note: This package is required to be able to update perl-WWW-Mechanize.
Comment 1 Parag AN(पराग) 2009-02-20 02:33:22 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1141722
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bb5880687bfb8b1e220c5c3c2b7d1408  HTTP-Response-Encoding-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=19,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.54 cusr  0.03 csys =  0.61 CPU)
+ Package perl-HTTP-Response-Encoding-0.05-1.fc11 =>
  Provides: perl(HTTP::Response::Encoding) = 0.5
  Requires: perl(strict) perl(warnings)

APPROVED.
Comment 2 Ralf Corsepius 2009-02-20 02:41:19 EST
New Package CVS Request
=======================
Package Name: perl-HTTP-Response-Encoding
Short Description: Adds encoding() to HTTP::Response
Owners: corsepiu
Branches: F-10 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-20 15:24:33 EST
cvs done.
Comment 4 Fedora Update System 2009-02-24 15:50:59 EST
perl-HTTP-Response-Encoding-0.05-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Mark Chappell 2010-06-21 04:10:13 EDT
corsepiu listed as not interested in EPEL

Package Change Request
======================
Package Name: perl-HTTP-Response-Encoding
New Branches: EL-6
Owners: tremble
Comment 6 Kevin Fenzi 2010-06-22 21:43:08 EDT
cvs done.
Comment 7 Ken Dreyer 2011-03-05 15:15:21 EST
Package Change Request
======================
Package Name: perl-HTTP-Response-Encoding
New Branches: el5
Owners: ktdreyer
InitialCC: tremble

As discussed in #epel today, tremble will be mentoring me as a co-maintainer
for EL-6, and I'll be maintaining HTTP::Response::Encoding for EL-5.
Comment 8 Jason Tibbitts 2011-03-06 13:28:21 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.